%define product ZLDAPConnection
%define version 1.2
%define release 3

%define rpm_prefix erp5
%define zope_home     %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   ZLDAPConnection manage connections to LDAP Servers.
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   ZPL
Group:     System/Servers
URL:       http://wiki.erp5.org/HowToUseZLDIFMethods
Source0:   %{product}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Conflicts: ZLDAPConnection
Requires:  %{rpm_prefix}-zope
Requires:  python2.4-ldap

#----------------------------------------------------------------------
%description
This package is a new release from unsupported ZopeLDAP 1.1.0 Product (http://www.zope.org/Members/jshell/ZopeLDAP): ZLDAPConnection manage connections to LDAP Servers and returning Zope-ish Entry objects.
#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/version.txt
%doc %{product}/README.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Fri Mar 23 2008 Julien Gormotte <julien@nexedi.com> 1.2-3mdv2008.0
- New build from the SVN repository (SVN rev: 20187)

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 1.2-2mdv2008.0
- New build from the SVN repository (SVN rev: 18630)

* Wed Aug 17 2007 Nicolas Delaby <nicolas@nexedi.com> 1.2-1mdv2007.1
- First Build of nexedi patched version of ZLDAPConnection Product
